Groovy 1.7.0

## org.codehaus.groovy.tools.groovydoc
Class MockOutputTool

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.MockOutputTool

All Implemented Interfaces:
  OutputTool

    class MockOutputTool
    extends Object

Field Summary
`Map` | `output`
`Set` | `outputAreas`

Constructor Summary
`MockOutputTool()`

Method Summary
`String` | `getText(String fileName)`
`boolean` | `isValidOutputArea(String fileName)`
`void` | `makeOutputArea(String filename)`
`String` | `toString()`
`void` | `writeToOutput(String fileName, String text)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### output

    Map output

### outputAreas

    Set outputAreas

Constructor Detail

### MockOutputTool

    public MockOutputTool()

Method Detail

### getText

    public String getText(String fileName)

### isValidOutputArea

    public boolean isValidOutputArea(String fileName)

### makeOutputArea

    public void makeOutputArea(String filename)

### toString

    public String toString()

### writeToOutput

    public void writeToOutput(String fileName, String text)

Copyright © 2003-2009 The Codehaus. All rights reserved.